Bug 255321 - ed2k_hash miscalculates hashes on x86_64
Summary: ed2k_hash miscalculates hashes on x86_64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ed2k_hash   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-26 19:38 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.4.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 18:56:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-08-26 19:38:10 UTC
Description of problem:
The 64bit version generates bad ed2k hashes.

Version-Release number of selected component (if applicable):
ed2k_hash-0.4.0-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. ed2k_hash file
  
Actual results:
$ ed2k_hash /etc/fedora-release 
ed2k://|file|fedora-release|29|1af6c38514802cc3ac1c3a58d328910d|

Expected results:
$ ed2k_hash /etc/fedora-release 
ed2k://|file|fedora-release|29|882c87b409fb2e584ac8bcfe4f7f7a3f|

Comment 1 Dominik 'Rathann' Mierzejewski 2007-10-24 22:07:38 UTC
Fix found (sent upstream), builds in progress.

Comment 2 Fedora Update System 2007-11-06 16:04:22 UTC
ed2k_hash-0.4.0-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ed2k_hash'

Comment 3 Fedora Update System 2007-11-09 23:42:55 UTC
ed2k_hash-0.4.0-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ed2k_hash'

Comment 4 Fedora Update System 2007-11-26 18:51:38 UTC
ed2k_hash-0.4.0-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-11-26 18:56:37 UTC
ed2k_hash-0.4.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.